[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dselect holding back KDE packages - WHY?

Hash: SHA1

On Friday 16 August 2002 09:12, Doug Holland wrote:
> For some reason, dselect and apt-get are refusing to upgrade my KDE
> packages to 3.0.3.  When I try to upgrade one of the packages, I get the
> following error.
> # apt-get upgrade kdelibs4
> Reading Package Lists... Done
> Building Dependency Tree... Done
> The following packages have been kept back
>   amor cervisia eyesapplet fifteenapplet kaphorism karbon kbabel kbabel-dev
>   kbugbuster kchart kdeartwork-screensaver kdeartwork-style
>   kdeartwork-theme-window keduca kformula kgeo kicker-applets kivio
> klettres kmessedwords kmoon kmtrace kodo koffice-dev koffice-libs kompare
> kontour koshell kpresenter kspread kspy kstars kteatime ktouch ktux kugar
> kvoctrain kweather kword kworldclock
> 0 packages upgraded, 0 newly installed, 0 to remove and 40  not upgraded.
> So how to I tell apt-get to "Shut up and do it!"?  Where's the apt-get
> equivalent of rpm --force?  I really want these upgrades, and apt-get's
> stubbornness is frustrating.

The packages are being held back becuase they require kde 3.0.3 and that is 
not currently available for download as deb packages.

The maintainer of the above packages has compiled his own 3.0.3 packages from 
CVS and built these new kde packages against 3.0.3.

You will have to either build your own 3.0.3 packages from CVS, build these 
new packages against 3.0.2 or wait for 3.0.3 to be available as debian 

Paul Cupis
- -- 

Version: GnuPG v1.0.7 (GNU/Linux)


Reply to: